"use strict";
const common_vendor = require("../../common/vendor.js");
const BILL_information_template_method = require("./method.js");
const BILL_information_template_model = require("./model.js");
require("../../common/libraries/day.js");
if (!Array) {
  const _easycom_up_icon2 = common_vendor.resolveComponent("up-icon");
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  (_easycom_up_icon2 + _easycom_uni_icons2)();
}
const _easycom_up_icon = () => "../../node-modules/uview-plus/components/u-icon/u-icon.js";
const _easycom_uni_icons = () => "../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
if (!Math) {
  (_easycom_up_icon + _easycom_uni_icons + MyPopupSubmitTemplate)();
}
const MyPopupSubmitTemplate = () => "./components/PopupSubmitTemplate.js";
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    common_vendor.onShow(() => {
      var _a;
      (_a = BILL_information_template_method.method) == null ? void 0 : _a.handleInit();
    });
    common_vendor.onLoad((e) => {
      BILL_information_template_model.useModel.formData.value = {
        houses: (e == null ? void 0 : e.data) ? JSON.parse(e == null ? void 0 : e.data) : []
      };
    });
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e, _f, _g, _h, _i, _j, _k, _l;
      return common_vendor.e({
        a: common_vendor.p({
          name: "error-circle",
          size: "19",
          color: "#2d75ff"
        }),
        b: common_vendor.f((_b = (_a = common_vendor.unref(BILL_information_template_model.useModel)) == null ? void 0 : _a.selectType) == null ? void 0 : _b.value, (i, index, i0) => {
          return common_vendor.e({
            a: common_vendor.t(i == null ? void 0 : i.label),
            b: i == null ? void 0 : i.tab
          }, (i == null ? void 0 : i.tab) ? {
            c: common_vendor.t(i == null ? void 0 : i.tab)
          } : {}, {
            d: i == null ? void 0 : i.is_select
          }, (i == null ? void 0 : i.is_select) ? {
            e: "57161569-1-" + i0,
            f: common_vendor.p({
              type: "checkbox-filled",
              size: "20",
              color: "#0082FA"
            })
          } : {
            g: "57161569-2-" + i0,
            h: common_vendor.p({
              type: "circle",
              size: "20",
              color: "#999"
            })
          }, {
            i: common_vendor.t(i == null ? void 0 : i.des),
            j: i == null ? void 0 : i.subDes
          }, (i == null ? void 0 : i.subDes) ? {
            k: common_vendor.t(i == null ? void 0 : i.subDes)
          } : {}, {
            l: `items_${index}`,
            m: common_vendor.o(($event) => {
              var _a2;
              return (_a2 = common_vendor.unref(BILL_information_template_method.method)) == null ? void 0 : _a2.handleSelect(index, i);
            }, `items_${index}`)
          });
        }),
        c: (_e = (_d = (_c = common_vendor.unref(BILL_information_template_model.useModel)) == null ? void 0 : _c.selectEdType) == null ? void 0 : _d.value) == null ? void 0 : _e.length
      }, ((_h = (_g = (_f = common_vendor.unref(BILL_information_template_model.useModel)) == null ? void 0 : _f.selectEdType) == null ? void 0 : _g.value) == null ? void 0 : _h.length) ? {} : {}, {
        d: common_vendor.p({
          formData: (_j = (_i = common_vendor.unref(BILL_information_template_model.useModel)) == null ? void 0 : _i.formData) == null ? void 0 : _j.value,
          type: (_l = (_k = common_vendor.unref(BILL_information_template_model.useModel)) == null ? void 0 : _k.selectEdType) == null ? void 0 : _l.value
        })
      });
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/BILL/information_template/index.vue"]]);
wx.createPage(MiniProgramPage);
